tigase.jaxmpp.core.client.xmpp.modules.roster

## Enum RosterItem.Subscription

- java.lang.Object
- - java.lang.Enum<RosterItem.Subscription>
  - - tigase.jaxmpp.core.client.xmpp.modules.roster.RosterItem.Subscription

- All Implemented Interfaces:
    Serializable, Comparable<RosterItem.Subscription>
  Enclosing class:
    RosterItem

      public static enum RosterItem.Subscription
      extends Enum<RosterItem.Subscription>

  Susbcription state.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `both` The user and the contact have subscriptions to each other's presence (also called a "mutual subscription").
    `from` The contact has a subscription to the user's presence, but the user does not have a subscription to the contact's presence.
    `none` The user does not have a subscription to the contact's presence, and the contact does not have a subscription to the user's presence.
    `remove`
    `to` The user has a subscription to the contact's presence, but the contact does not have a subscription to the user's presence.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isFrom()`
    `boolean` | `isTo()`
    `static RosterItem.Subscription` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RosterItem.Subscription[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### both

          public static final RosterItem.Subscription both

      The user and the contact have subscriptions to each other's presence (also called a "mutual subscription").

    - #### from

          public static final RosterItem.Subscription from

      The contact has a subscription to the user's presence, but the user does not have a subscription to the contact's presence.

    - #### none

          public static final RosterItem.Subscription none

      The user does not have a subscription to the contact's presence, and the contact does not have a subscription to the user's presence.

    - #### remove

          public static final RosterItem.Subscription remove

    - #### to

          public static final RosterItem.Subscription to

      The user has a subscription to the contact's presence, but the contact does not have a subscription to the user's presence.

  - ### Method Detail

    - #### values

          public static RosterItem.Subscription[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RosterItem.Subscription c : RosterItem.Subscription.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RosterItem.Subscription valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isFrom

          public boolean isFrom()

    - #### isTo

          public boolean isTo()

Copyright © 2006–2016 Tigase. All rights reserved.